%global realname cluster_info
%global upstream basho
%global debug_package %{nil}
%global git_tag 3ab5c15
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.2.2
Release:	1%{?dist}
Summary:	Cluster info/postmortem inspector for Erlang applications
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/cluster_info
# wget --content-disposition https://github.com/basho/cluster_info/tarball/1.2.2
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-rebar
# erlang:get_stacktrace/0
Requires:	erlang-erts%{?_isa} >= R12B
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-riak_err%{?_isa}
Requires:	erlang-sasl%{?_isa}
Requires:	erlang-stdlib%{?_isa}


%description
Cluster info/postmortem inspector for Erlang applications.


%prep
%setup -q -n %{upstream}-%{realname}-104e9f1


%build
rebar compile -v


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -m 644 ebin/%{realname}*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin


%clean
rm -rf %{buildroot}


%check
rebar eunit -v


%files
%doc LICENSE README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}*.beam


%changelog
* Fri Oct 12 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.2-1
- Ver. 1.2.2
- Switched upstream to Basho

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.5.20101229gitd077716
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.4.20101229gitd077716
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Feb 20 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.1.0-0.3.20101229gitd077716
- Changed Source0 again

* Sun Jan 30 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.1.0-0.2.20101229gitd077716
- Changed Source0 url

* Sat Jan 22 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.1.0-0.1.20101229gitd077716
- Initial build
